From 6709968c430e22fa368816158ba010e244235ef1 Mon Sep 17 00:00:00 2001
Message-Id: <6709968c430e22fa368816158ba010e244235ef1.1367947969.git.minovotn@redhat.com>
In-Reply-To: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
References: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
From: Michal Novotny <minovotn@redhat.com>
Date: Tue, 7 May 2013 18:37:19 +0200
Subject: [PATCH 029/114] Revert "qemu-ga: Plug file descriptor leak on
 ga_open_pidfile() error path"

This reverts commit ab4ac3bd05ef758d699983e90d2d821cda03aa21.

Reverting as asked by Laszlo in message <51892739.2030807@redhat.com>
because of the ordering issue (most likely) related to supersed
testing.

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 qemu-ga.c | 2 --
 1 file changed, 2 deletions(-)

diff --git a/qemu-ga.c b/qemu-ga.c
index d0cce36..f8f6ac4 100644
--- a/qemu-ga.c
+++ b/qemu-ga.c
@@ -299,12 +299,10 @@ static bool ga_open_pidfile(const char *pidfile)
         goto fail;
     }
 
-    /* keep pidfile open & locked forever */
     return true;
 
 fail:
     unlink(pidfile);
-    close(pidfd);
     return false;
 }
 #else /* _WIN32 */
-- 
1.7.11.7

